IcedTea-Web NetX

## net.sourceforge.jnlp.security
Enum KeyStores.Type

    java.lang.Object
      java.lang.Enum<KeyStores.Type>
          net.sourceforge.jnlp.security.KeyStores.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<KeyStores.Type>

Enclosing class:
  KeyStores

    public static enum KeyStores.Type

extends java.lang.Enum<KeyStores.Type>

Enum Constant Summary
`CA_CERTS`
`CERTS`
`CLIENT_CERTS`
`JSSE_CA_CERTS`
`JSSE_CERTS`

Method Summary
`static KeyStores.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static KeyStores.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CERTS

    public static final KeyStores.Type CERTS

### JSSE_CERTS

    public static final KeyStores.Type JSSE_CERTS

### CA_CERTS

    public static final KeyStores.Type CA_CERTS

### JSSE_CA_CERTS

    public static final KeyStores.Type JSSE_CA_CERTS

### CLIENT_CERTS

    public static final KeyStores.Type CLIENT_CERTS

Method Detail

### values

    public static KeyStores.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (KeyStores.Type c : KeyStores.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static KeyStores.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

IcedTea-Web NetX

Submit a bug or feature